%define name gwenhywfar
%define major 47
%define libname %mklibname %name %major
%define develname %mklibname -d %name
Summary: A multi-platform helper library for other libraries
Name: gwenhywfar
Version: 3.7.2
Release: %mkrel 1
Source: http://files.hboeck.de/aq/%{name}-%{version}.tar.gz
Patch0: gwenhywfar-3.7.0-lib64.patch
Patch1: gwenhywfar-3.7.0-fix-str-fmt.patch
BuildRequires: automake
BuildRequires: autoconf >= 2.58
BuildRequires: gettext-devel
BuildRequires: openssl-devel
BuildRequires: ncurses-devel
BuildRequires: zlib-devel
BuildRequires: libgcrypt-devel
BuildRequires: gnutls-devel
Group: System/Libraries
License: LGPLv2+
URL: http://sourceforge.net/projects/gwenhywfar
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
This is Gwenhywfar, a multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
and OpenHBCI-TNG (The Next Generation).

%package -n %libname
Summary: A multi-platform helper library for other libraries
Group: System/Libraries
Requires: %name >= %version

%description -n %libname
This is Gwenhywfar, a multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
and OpenHBCI-TNG (The Next Generation).

%package -n %develname
Summary: Gwenhywfar development kit
Group: Development/C
Requires: %{libname} = %{version}
Provides: lib%name-devel = %{version}-%{release}
Obsoletes: %mklibname -d %name 38

%description -n %develname
This package contains gwenhywfar-config and header files for writing and
compiling programs using Gwenhywfar.

%prep
%setup -q
%patch0 -p1 -b .lib64
%patch1 -p0 -b .str
cp /usr/share/gettext/config.rpath .
make -f Makefile.cvs

%build
%configure2_5x --disable-static
%make LIBS=-lpthread

%install
rm -fr $RPM_BUILD_ROOT %name.lang
%makeinstall_std
find %buildroot -name \*.la|xargs chmod 644
%find_lang %name
perl -pi -e "s-L$RPM_BUILD_DIR/%name-%version/src" %buildroot%_libdir/*.la %buildroot%_libdir/%name/plugins/*/*/*.la

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS README ChangeLog
%_bindir/gct-tool
%_datadir/%name

%files -n %libname
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*
%{_libdir}/%{name}

%files -n %develname
%defattr(-,root,root)
%{_bindir}/gwenhywfar-config
%{_bindir}/xmlmerge
%{_bindir}/mklistdoc
%{_bindir}/typemaker
%{_includedir}/gwenhywfar3
%{_libdir}/*.so
%attr(644,root,root)  %{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/gwenhywfar.m4


%changelog
* Wed Mar 04 2009 Götz Waschk <waschk@mandriva.org> 3.7.2-1mdv2009.1
+ Revision: 348225
- update to new version 3.7.2

* Sat Jan 31 2009 Funda Wang <fundawang@mandriva.org> 3.7.1-1mdv2009.1
+ Revision: 335855
- New version 3.7.1

* Fri Jan 23 2009 Funda Wang <fundawang@mandriva.org> 3.7.0-1mdv2009.1
+ Revision: 332694
- New version 3.7.0

* Thu Dec 04 2008 Götz Waschk <waschk@mandriva.org> 3.5.2-2mdv2009.1
+ Revision: 309997
- rebuild to get rid of libtasn1 dep
- fix source URL

* Mon Nov 10 2008 Götz Waschk <waschk@mandriva.org> 3.5.2-1mdv2009.1
+ Revision: 301681
- new version

* Sat Oct 18 2008 Götz Waschk <waschk@mandriva.org> 3.5.1-1mdv2009.1
+ Revision: 294849
- new version

* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 3.4.1-1mdv2009.0
+ Revision: 274270
- update build deps
- new version
- update license
- fix build

* Wed Jul 09 2008 Götz Waschk <waschk@mandriva.org> 3.3.5-1mdv2009.0
+ Revision: 233016
- new version

* Sat Jun 14 2008 Funda Wang <fundawang@mandriva.org> 3.3.4-1mdv2009.0
+ Revision: 219134
- New version 3.3.4

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jun 08 2008 Funda Wang <fundawang@mandriva.org> 3.3.3-1mdv2009.0
+ Revision: 216783
- New version 3.3.3

* Wed May 28 2008 Funda Wang <fundawang@mandriva.org> 3.3.2-2mdv2009.0
+ Revision: 212177
- New version 3.3.2

  + Götz Waschk <waschk@mandriva.org>
    - new version

* Tue Apr 22 2008 Götz Waschk <waschk@mandriva.org> 3.3.0-1mdv2009.0
+ Revision: 196639
- new version
- back to 3.2.0

  + mandrake <mandrake@mandriva.com>
    - %repsys markrelease
      version: 3.2.0
      release: 1mdv2009.0
      revision: 194557
      Copying 3.2.0-1mdv2009.0 to releases/ directory.

* Wed Apr 16 2008 Funda Wang <fundawang@mandriva.org> 3.2.0-1mdv2009.0
+ Revision: 194557
- BR libgcrypt-devel
- New version 3.2.0
- New major 38->47

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - remove useless URLs of other projects from descriptions

* Fri Nov 23 2007 Götz Waschk <waschk@mandriva.org> 2.6.2-1mdv2008.1
+ Revision: 111451
- new version

* Wed Sep 05 2007 Götz Waschk <waschk@mandriva.org> 2.6.1-1mdv2008.0
+ Revision: 79972
- new version
- new devel name

* Sat May 19 2007 Götz Waschk <waschk@mandriva.org> 2.5.4-1mdv2008.0
+ Revision: 28457
- new version


* Thu Dec 28 2006 Götz Waschk <waschk@mandriva.org> 2.5.0-1mdv2007.0
+ Revision: 102209
- new version
- unpack patch

* Wed Sep 27 2006 Götz Waschk <waschk@mandriva.org> 2.4.1-1mdv2007.0
- New version 2.4.1

* Sun Aug 27 2006 Götz Waschk <waschk@mandriva.org> 2.4.0-1mdv2007.0
- New release 2.4.0

* Sat Jul 15 2006 Götz Waschk <waschk@mandriva.org> 2.3.1-1
- New release 2.3.1

* Sat Jun 17 2006 Götz Waschk <waschk@mandriva.org> 2.3.0-1mdv2007.0
- New release 2.3.0

* Fri Apr 14 2006 Götz Waschk <waschk@mandriva.org> 2.2.0-1mdk
- New release 2.2.0

* Tue Mar 28 2006 Götz Waschk <waschk@mandriva.org> 2.1.1-1mdk
- New release 2.1.1

* Tue Mar 21 2006 Götz Waschk <waschk@mandriva.org> 2.1.0-1mdk
- New release 2.1.0

* Tue Feb 28 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-1mdk
- New release 2.0.0

* Tue Feb 07 2006 Götz Waschk <waschk@mandriva.org> 1.99.7-1mdk
- New release 1.99.7

* Tue Jan 31 2006 Götz Waschk <waschk@mandriva.org> 1.99.6-1mdk
- New release 1.99.6

* Thu Jan 26 2006 Götz Waschk <waschk@mandriva.org> 1.99.5-1mdk
- New release 1.99.5

* Wed Jan 18 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.99.4-1mdk
- New release 1.99.4

* Wed Jan 11 2006 Gtz Waschk <waschk@mandriva.org> 1.99.3-1mdk
- new major
- New release 1.99.3

* Thu Dec 15 2005 Götz Waschk <waschk@mandriva.org> 1.99.2-1mdk
- New release 1.99.2

* Thu Dec 08 2005 Gtz Waschk <waschk@mandriva.org> 1.99.1-2mdk
- fix deps for upgrades

* Fri Dec 02 2005 Gtz Waschk <waschk@mandriva.org> 1.99.1-1mdk
- new major
- update file list
- New release 1.99.1

* Thu Nov 17 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.19.0-2mdk
- rebuild against openssl-0.9.8
- add missing buildrequires

* Wed Nov 02 2005 Gtz Waschk <waschk@mandriva.org> 1.19.0-1mdk
- update file list
- New release 1.19.0

* Thu Aug 25 2005 Götz Waschk <waschk@mandriva.org> 1.17.0-1mdk
- New release 1.17.0

* Fri Aug 12 2005 Gtz Waschk <waschk@mandriva.org> 1.15.0-1mdk
- update file list
- New release 1.15.0

* Tue Jul 12 2005 Gtz Waschk <waschk@mandriva.org> 1.14.0-1mdk
- New release 1.14.0

* Wed Jun 15 2005 Gtz Waschk <waschk@mandriva.org> 1.13.3-1mdk
- New release 1.13.3

* Sat May 28 2005 Gtz Waschk <waschk@mandriva.org> 1.13.2-1mdk
- New release 1.13.2

* Thu May 26 2005 Gtz Waschk <waschk@mandriva.org> 1.13.1-1mdk
- New release 1.13.1

* Sat May 21 2005 Gtz Waschk <waschk@mandriva.org> 1.13.0-1mdk
- New release 1.13.0

* Tue May 03 2005 Gtz Waschk <waschk@mandriva.org> 1.12.1-1mdk
- New release 1.12.1

* Tue Apr 26 2005 Gtz Waschk <waschk@mandriva.org> 1.12.0-1mdk
- New release 1.12.0

* Thu Apr 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.10.0-1mdk 
- Release 1.10.0
- Regenerate patch0

* Tue Mar 08 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.8.0-2mdk
- lib64 fixes

* Mon Feb 21 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.8.0-1mdk
- add CA Certificates file
- New release 1.8.0

* Tue Feb 15 2005 Jerome Soyer <saispo@mandrake.org> 1.7.2-1mdk
- New release

* Mon Dec 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.3-2mdk
- fix provides

* Mon Dec 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.3-1mdk
- initial package

